> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapio.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Built In job's detail

> Fetch full detail for a single Built In job listing by url.



## OpenAPI

````yaml get /v1/builtin/job
openapi: 3.1.0
info:
  title: Scrapio
  version: 1.0.0
  description: >-
    Turn any URL into structured data. Fetch raw HTML, crawl sites, extract
    structured content, interact with dynamic pages, and search the web through
    one API.
  contact:
    name: Scrapio Support
    url: https://scrapio.dev
  license:
    name: Proprietary
servers:
  - url: https://api.scrapio.dev
    description: Production
security:
  - bearerAuth: []
tags:
  - name: System
  - name: Fetch
  - name: Crawl
  - name: Map
  - name: Interact
  - name: Search
  - name: Google
  - name: Fast Search
  - name: Jobs
  - name: YouTube
  - name: Amazon
  - name: Walmart
  - name: Booking
  - name: Agoda
  - name: Airbnb
  - name: AutoTrader
  - name: Glassdoor
  - name: Trustpilot
  - name: ZipRecruiter
  - name: Dice
  - name: SimplyHired
  - name: Built In
  - name: Wellfound
  - name: ChatGPT
  - name: Perplexity
  - name: Gemini
  - name: Bing
  - name: Reddit
  - name: Instagram
  - name: Twitter
  - name: Facebook
  - name: Hacker News
  - name: GitHub
  - name: TikTok
  - name: Apple App Store
  - name: Target
  - name: Monitors
paths:
  /v1/builtin/job:
    get:
      tags:
        - Built In
      summary: Get a Built In job's detail
      description: >-
        Fetches full detail for a single Built In job listing by url (the full
        job URL from a /v1/builtin/jobs response -- Built In requires the real
        slug, not just an id): full HTML/plain-text description, salary,
        benefits, and company info. Requires a Starter plan or higher.
      operationId: getBuiltInJobDetail
      parameters:
        - name: url
          in: query
          required: true
          schema:
            type: string
            format: uri
            description: >-
              The full job URL from a /v1/builtin/jobs response's url field
              (builtin.com requires the real slug, not just the job_id)
      responses:
        '200':
          description: Full Built In job detail.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BuiltInJobDetailResponse'
        '400':
          description: Invalid url.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '402':
          description: Built In dedicated endpoints require a Starter plan or higher.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: The requested job could not be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Daily credit cap exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: Built In upstream failed or re-challenged.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Built In execution backend unavailable or unconfigured.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: >-
            curl
            "https://api.scrapio.dev/v1/builtin/job?url=https%3A%2F%2Fbuiltin.com%2Fjob%2Fsoftware-engineer%2F11056045"
            \
              -H "Authorization: Bearer $SCRAPIO_API_KEY"
components:
  schemas:
    BuiltInJobDetailResponse:
      type: object
      properties:
        provider:
          type: string
          enum:
            - builtin
        request_id:
          type: string
        job_id:
          anyOf:
            - type: string
            - type: 'null'
        title:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        company:
          anyOf:
            - type: string
            - type: 'null'
        company_url:
          anyOf:
            - type: string
            - type: 'null'
        company_logo:
          anyOf:
            - type: string
            - type: 'null'
        location:
          type: object
          properties:
            locality:
              anyOf:
                - type: string
                - type: 'null'
            region:
              anyOf:
                - type: string
                - type: 'null'
            country:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - locality
            - region
            - country
          additionalProperties: false
        remote:
          type: boolean
        employment_types:
          type: array
          items:
            type: string
        date_posted:
          anyOf:
            - type: string
            - type: 'null'
        valid_through:
          anyOf:
            - type: string
            - type: 'null'
        salary:
          anyOf:
            - type: object
              properties:
                currency:
                  anyOf:
                    - type: string
                    - type: 'null'
                unit:
                  anyOf:
                    - type: string
                    - type: 'null'
                min:
                  anyOf:
                    - type: number
                    - type: 'null'
                max:
                  anyOf:
                    - type: number
                    - type: 'null'
              required:
                - currency
                - unit
                - min
                - max
              additionalProperties: false
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        benefits:
          type: array
          items:
            type: string
        description_text:
          anyOf:
            - type: string
            - type: 'null'
        description_html:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - provider
        - request_id
        - job_id
        - title
        - url
        - company
        - company_url
        - company_logo
        - location
        - remote
        - employment_types
        - date_posted
        - valid_through
        - salary
        - industry
        - benefits
        - description_text
        - description_html
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        request_id:
          type: string
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
        diagnostics:
          type: object
          properties:
            outcome:
              type: string
              enum:
                - failed
            retryable:
              type: boolean
            blocked:
              type: boolean
            timed_out:
              type: boolean
          required:
            - outcome
            - retryable
          additionalProperties: false
      required:
        - request_id
        - error
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````